Skip to content

Retrieve the list of appointments

GET
/api/agenda/
curl --request GET \
--url https://api.koibox.cloud/api/agenda/ \
--header 'X-Koibox-Key: <X-Koibox-Key>'
id__in
Array<integer>
fecha__gte
string format: date-time
fecha__lte
string format: date-time
fecha__gt
string format: date-time
fecha__lt
string format: date-time
user__id
integer
user__id__in
Array<integer>
estado__id
integer
estado__id__in
Array<integer>
cliente__id
integer
cliente__id__in
Array<integer>
is_cliente_en_centro
boolean
limit
integer
offset
integer

List of requested appointments

Media typeapplication/json
object
count
integer
next
One of:
string format: uri
previous
One of:
string format: uri
results
Array
<= 50 items
object
id

Read-only

integer
notas
string
duracion
string format: time
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
titulo
required
string
observaciones
string
historico

Read-only

string format: html
is_empleado_aleatorio
boolean
fecha
required

Date of the appointment, expected in the center’s time zone

string format: date
hora_inicio
required
string format: time
hora_fin

Required in appointments with normal services and without combined services. Do not include in appointments with combined services.

string format: time
is_notificada_por_sms

Read-only

boolean
is_notificada_por_email

Read-only

boolean
is_notificada_por_push

Read-only

boolean
origen

Read-only

string
Allowed values: c p w f i a t in pa pc g s api ig
precio

Read-only

number
precio_sin_descuento

Read-only

number
descuento

Read-only

number
is_cliente_en_centro
boolean
is_notificada_por_whatsapp

Read-only

boolean
user
required
One of:

Read-only

object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
created_by

Read-only

object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
cliente
One of:

Read-only

object
text

Name of the client

string
value

Identifier of the client

integer
email
string format: email
movil

Mobile number of the client

string format: tel
notas
string
is_anonymous
boolean
foto_url_absolute_path
string format: uri
localidad
string
importe_ventas
number
importe_deudas
number
code
integer
manual_code
string
fijo
string
dni
string
prefijo_tel
integer
estado
One of:

Read-only

object
id

Identifier of the state

integer
value
integer
nombre
string
text
string
parent

Parent appointment of the current one, read-only

integer
servicios
One of:

Write-only

integer
servicios_combinados

IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.

Array<integer>
created_timezone

Time adjusted to the center’s time zone, read-only

string format: date-time
venta

Sale created from the appointment, read-only

integer
tags

Labels of the appointment

Array
object
id

Read-only

integer
name

Name of the label

string
hmac_signature

HMAC signature of the appointment used to send the user to the online payment flow, read-only

string

The access key has not been provided in the X-Koibox-Key header

WWW-Authenticate
string
default: X-Koibox-Key

Indicates the required header for authentication

No valid access key has been provided